Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs
fcleanup.h File Reference
`#include <cstdlib>`

## Classes
struct | FDeleter< T >
| Template definition for classes that help guarding against memory leaks. More...
struct | FArrayDeleter< T >
| Template definition for classes that help guarding against memory leaks. More...
struct | FPtrNuller< T >
| Template definition for classes that help guarding against dangling pointers. More...
struct | FNuller< T >
| Template definition for classes that help resetting an object's value. More...
struct | FBooleanSetter< T >
| Class definition for objects that help resetting boolean variables. More...
struct | FConditionalBoolSetter
| Class definition for objects that help setting boolean variables. More...
struct | FCloser< T >
| Template definition for classes that help closing resources. More...
class | FMallocReleaser
| Class definition for objects that help guarding against memory leaks. More...

## Namespaces
namespace | Steinberg

## Typedefs
using | FBoolSetter = FBooleanSetter<bool>

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.